# Uses of Interface
org.eclipse.emf.compare.merge.IMergeCriterion

Packages that use IMergeCriterion
Package
Description
org.eclipse.emf.compare.merge

## Uses of IMergeCriterion in org.eclipse.emf.compare.merge

Classes in org.eclipse.emf.compare.merge that implement IMergeCriterion
Modifier and Type
Class
Description
`final class`
`AdditiveMergeCriterion`
Merge Criterion that indicates we want to perform an 'Additive' merge.
Fields in org.eclipse.emf.compare.merge declared as IMergeCriterion
Modifier and Type
Field
Description
`protected IMergeCriterion`
DiffRelationshipComputer.`criterion`
Merge criterion used to retrieve the correct merger.
`static final IMergeCriterion`
IMergeCriterion.`NONE`
Default criterion that means that no special criterion is set.
Methods in org.eclipse.emf.compare.merge that return IMergeCriterion
Modifier and Type
Method
Description
`IMergeCriterion`
DelegatingMerger.`getCriterion()`
`IMergeCriterion`
DiffRelationshipComputer.`getMergeCriterion()`
`IMergeCriterion`
IDiffRelationshipComputer.`getMergeCriterion()`
Returns the merge criterion considered for calculating the diff relationships.
Methods in org.eclipse.emf.compare.merge with parameters of type IMergeCriterion
Modifier and Type
Method
Description
`boolean`
AbstractMerger.`apply(IMergeCriterion criterion)`
Default implementation of apply for mergers that extends this class.
`boolean`
AdditiveConflictMerger.`apply(IMergeCriterion criterion)`
`boolean`
AdditiveReferenceChangeMerger.`apply(IMergeCriterion criterion)`
`boolean`
AdditiveResourceAttachmentChangeMerger.`apply(IMergeCriterion criterion)`
`boolean`
ConflictMerger.`apply(IMergeCriterion criterion)`
`boolean`
IMergeCriterionAware.`apply(IMergeCriterion criterion)`
Indicate whether a merger supports a given criterion.
`boolean`
ReferenceChangeMerger.`apply(IMergeCriterion criterion)`
`boolean`
ResourceAttachmentChangeMerger.`apply(IMergeCriterion criterion)`
`static DelegatingMerger`
AbstractMerger.`getMergerDelegate(Diff diff, IMerger.Registry2 registry, IMergeCriterion criterion)`
Find the best merger for diff and wrap it in a delegate that will take the given merge criterion into account.
`Iterator<IMerger>`
IMerger.Registry2.`getMergersByRankDescending(Diff diff, IMergeCriterion criterion)`
Provide the merger with the highest ranking among those that: Are compatible with the given diff; Match the given non-null criterion.
`Iterator<IMerger>`
IMerger.RegistryImpl.`getMergersByRankDescending(Diff diff, IMergeCriterion criterion)`
Provide the mergers sorted by rank descending.
`void`
CachingDiffRelationshipComputer.`setMergeCriterion(IMergeCriterion mergeCriterion)`
Sets the merge criterion considered for calculating the diff relationships.
`void`
DiffRelationshipComputer.`setMergeCriterion(IMergeCriterion mergeCriterion)`
`void`
IDiffRelationshipComputer.`setMergeCriterion(IMergeCriterion mergeCriterion)`
Sets the merge criterion considered for calculating the diff relationships.
Constructors in org.eclipse.emf.compare.merge with parameters of type IMergeCriterion
Modifier
Constructor
Description
``
`CachingDiffRelationshipComputer(IMerger.Registry registry, IMergeCriterion criterion)`
Creates a new computer with the given registry and merge criterion.
``
`DelegatingMerger(IMerger merger, IMergeCriterion criterion)`
Constructor.
``
`DiffRelationshipComputer(IMerger.Registry registry, IMergeCriterion criterion)`
Creates a new relationship computer.